For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Company From CG
              • GETGet Company Basic Information
              • PUTUpdate Company Basic Information
              • DELDelete Company With Related
              • GETGet BC Order Id List By Company Id
              • GETGet Company By CustomerId
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APICompany

Update Company Basic Information

Deprecated
PUT
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/basic-info
PUT
/api/v2/io/companies/:companyId/basic-info
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/basic-info \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "data": {
4 "companyId": "2"
5 },
6 "message": "Success"
7}
Update a company's basic info, you can update on or more options
Was this page helpful?
Previous

Get Company Basic Information

Next

Delete Company With Related

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
addressLine1stringOptional
Address string line 1
addressLine2stringOptional
Address string line 2
catalogIdstringOptional

BigCommerce price list Id that company related(If put its 0 will clear the catalog).

citystringOptional
companyEmailstringOptional
companyNamestringOptional
companyStatusstringOptional

Company status:

0=PENDING 1=APPROVED 2=REJECTED 3=INACTIVE 4=DELETED

countrystringOptional

Country full name or ISO2 country code. For Example:

A Country full name: Afghanistan

ISO2 Country code: AF

descriptionstringOptional
extraFieldslist of objectsOptional

To use customized extra fields with field names you need to first add company extra fields in Settings > Extra fields inside B2B edition. eg. If you want to create a new company with an extra integer field named licenseNO, you can use this structure [{‘fieldName’: ‘LicenseNO’, ‘fieldValue’: 10342340323}] in the request body.

phoneNumberstringOptional
statestringOptional
zipCodestringOptional
priceListAssignlist of objectsOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error